import '@operato/data-grist/ox-grist.js';
import '@operato/data-grist/ox-filters-form.js';
import '@operato/context/ox-context-page-toolbar.js';
import '@operato/attribute/ox-attribute-view.js';
import '../../components/create-domain-popup';
import { PageView } from '@operato/shell';
declare const DomainManagement_base: (new (...args: any[]) => {
    _storeUnsubscribe: import("redux").Unsubscribe;
    connectedCallback(): void;
    disconnectedCallback(): void;
    stateChanged(_state: unknown): void;
    readonly isConnected: boolean;
}) & (new (...args: any[]) => import("lit").LitElement) & typeof PageView;
export declare class DomainManagement extends DomainManagement_base {
    static styles: import("lit").CSSResult[];
    active: boolean;
    config: any;
    mode: 'CARD' | 'LIST' | 'GRID';
    private grist;
    get context(): {
        title: string;
        search: {
            handler: (search: string) => void;
            value: string;
        };
        filter: {
            handler: () => void;
        };
        actions: {
            title: string;
            action: () => Promise<void>;
            icon: string;
        }[];
        toolbar: boolean;
    };
    render(): import("lit-html").TemplateResult<1>;
    pageInitialized(): Promise<void>;
    pageUpdated(changes: any, lifecycle: any): Promise<void>;
    fetchHandler({ page, limit, sortings, filters }: {
        page: any;
        limit: any;
        sortings?: never[] | undefined;
        filters?: never[] | undefined;
    }): Promise<{
        total: any;
        records: any;
    }>;
    onUpdateDomains(): Promise<void>;
    onCreateDomain(): Promise<void>;
    getAttributeSetForDomain(): Promise<any>;
    showToast(message: any): void;
}
export {};
